Trigger job
curl --request POST \
--url https://api.example.com/api/jobs/{job_id}/trigger \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/jobs/{job_id}/trigger"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/jobs/{job_id}/trigger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Monitor
Trigger job
Manually triggers a specific job to run immediately.
POST
/
api
/
jobs
/
{job_id}
/
trigger
Trigger job
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique ID of the job to trigger.
Response
Job triggered successfully.
The response is of type string.
Was this page helpful?
⌘I

